register_chrdev_region
Prev | Chapter 20. Char devices | Next

## Name

register_chrdev_region — register a range of device numbers

## Synopsis

`int register_chrdev_region (` | dev_t | from,
| unsigned | count,
| const char * | name`)`;

## Arguments

`from`

  the first in the desired range of device numbers; must include the major number.

`count`

  the number of consecutive device numbers required

`name`

  the name of the device or driver.

## Description

Return value is zero on success, a negative error code on failure.

Prev | Up | Next
Chapter 20. Char devices | Home | alloc_chrdev_region